## visad.data.hdfeos
Class DimensionSet

    java.lang.Object
      visad.data.hdfeos.DimensionSet

public class DimensionSet
extends Object

Constructor Summary
`(package private)` `DimensionSet()`
`(package private)` `DimensionSet(NamedDimension[] dims)`

Method Summary
`void` `add(NamedDimension obj)`
`NamedDimension` `getByName(String dimName)`
`NamedDimension` `getElement(int ii)`
`NamedDimension[]` `getElements()`
`int` `getIndexOf(NamedDimension dim)`
`int` `getSize()`
`boolean` `isMemberOf(NamedDimension dim)`
`boolean` `sameSetSameOrder(DimensionSet dimSet)`
`void` `setToFinished()`
`boolean` `subsetOfThis(DimensionSet dimSet)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DimensionSet

    DimensionSet()

### DimensionSet

    DimensionSet(NamedDimension[] dims)

Method Detail

### add

    public void add(NamedDimension obj)

### setToFinished

    public void setToFinished()

### getSize

    public int getSize()

### getElement

    public NamedDimension getElement(int ii)

### getElements

    public NamedDimension[] getElements()

### getIndexOf

    public int getIndexOf(NamedDimension dim)

### sameSetSameOrder

    public boolean sameSetSameOrder(DimensionSet dimSet)

### subsetOfThis

    public boolean subsetOfThis(DimensionSet dimSet)

### getByName

    public NamedDimension getByName(String dimName)

### isMemberOf

    public boolean isMemberOf(NamedDimension dim)

### toString

    public String toString()